petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASCycleGetRestriction

Gets the restriction on this level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetRestriction(SNES snes, Mat *mat)

Logically Collective on SNES Many br

### Input Parameters

snes -the multigrid context Many br

### Output Parameters

mat -the restriction operator on this level Many br

Many br

### Keywords

SNES, FAS, get, smoother, multigrid

### See Also

SNESFASGetRestriction(), SNESFASCycleGetInterpolation()

Level:developer
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages